Acer Aspire E17 compatibility

Discussion in 'Hardware Support' started by Progressive, Mar 6, 2016.

  1. Progressive

    Progressive Thread Starter
    Expand Collapse
    New Member

    Joined:
    Mar 6, 2016
    Messages:
    4
    Likes Received:
    1
    Hi,

    I've got a new laptop, an Acer Aspire E5-773G-5424 (17,3" Intel Core i5-6200U, 8GB, 500GB SATA, GeForce 940M) and I'm relatively new in Linux (few months). From all distributions I like elementary os the most but I don't know, if it is completely compatible to the laptop. Can you please tell me if it's (or not) ? And/or where can I check that ?
    Thanks in advance!
     
  2. paradise

    paradise
    Expand Collapse
    Elementary Supporter

    Joined:
    Dec 3, 2014
    Messages:
    124
    Likes Received:
    33
    Hello Progressive,

    because elementaryOS 0.3 is built on Ubuntu (14.04) it is better to search for feedback about how it does run on Ubuntu (or Linux Mint, its "the same"). Unfortunately i also don't know a website where it is possible to check how good the support is. Of course there is the official Ubuntu Wiki which includes some informations (https://wiki.ubuntu.com/HardwareSupportMachinesLaptopsAcer), but your notebook is not listed there.

    I think it is important that elementary (= Ubuntu) clearly supports your WLAN Chip, the graphic chip and the touchpad. Sometimes notebooks have special keys, sometimes they don't run on linux, but sometimes they do well.

    I am sure your graphic card will be supported at least with the proprietary drivers, but i am not sure which WLAN chip and touchpad type your notebook has.

    You probably just install elementary to find out , how good it runs :- )) - or, you may try out the live-cd version without installing.
     
  3. Progressive

    Progressive Thread Starter
    Expand Collapse
    New Member

    Joined:
    Mar 6, 2016
    Messages:
    4
    Likes Received:
    1
    Thanks!
    Wlan, touchpad and graphic card I do have to install manually. But as I read earlier the skylake technology is not supported until Kernel 4.4. I'm wondering for weeks, why my battery is emptied so fast :D
    When does elementary os run on that Kernel ?
     
    paradise likes this.
  4. paradise

    paradise
    Expand Collapse
    Elementary Supporter

    Joined:
    Dec 3, 2014
    Messages:
    124
    Likes Received:
    33
    Ubuntu 16.04 LTS depends on Kernel 4.4.0, its release will be 21.4.2016. Elementary OS 0.4 Loki will be built on 16.04 LTS - but you know, the eOS developers take a lot of time until they release 0.4 Loki. I would say, earliest is July 2016, probably more later.
     

Share This Page

Loading...